## mythtv-dmo 32.0+fixes20220327.gitf69ce764b7

=== debian/changelog ===
mythtv-dmo (1:32.0+fixes20220327.gitf69ce764b7-dmo1~ab11+1) bullseye-ab-unstable; urgency=medium

  [ Stephan Sürken ]
  * [c6f1284] control: Remove versioned b-d on libx264 (epoch 3 not in
    Debian).
  * [d78934f] control: mythtv-python: Recommends: python-aniso8601 (Fixes
    warning in /usr/share/mythtv/internetcontent/youtube.py).
  * [8b01a52] control: Remove versioned b-d on libcec (epoched version not
    in Debian).
  * [f34acdb] control: b-d: Allow libfreetyp6-dev for buster.
  * [48ac7bc] control: nv-codec-headers: ported deb (in Ubuntu) is called
    'libffmpeg-nvenc-dev'.
  * [77fa249] control: Add missing dh-python,dh-linktree to b-d (fixes
    FTBS).
  * [e2ec89f] control (Build-Depends): Use libdca-dev, not libdts-dev
    (latter dropped since 0.0.7-1/bullseye).

  [ Stephan Suerken ]
  * [cd587b4] debian/patches/a2_astra_scan_defaults: Make channel scan
    work ootb for Astra 19E.

  [ Stephan Sürken ]
  * [e55872d] debian/patches/series: Skip astra scan preset (for now)
    (hopefully no longer needed in 32).
  * [4d14422] debian/patches/series: Skip 05, 06: Both files are *MISSING*
    in current original Debian source package.
  * MINI_BUILDD_OPTION: ignore-lintian=true
  * MINI_BUILDD_OPTION: auto-ports=

 -- Stephan Sürken <absurd@olurdix.de>  Sat, 09 Apr 2022 15:48:39 +0200

mythtv-dmo (1:32.0+fixes20220327.gitf69ce764b7-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Mar 2022 08:57:25 +0200

mythtv-dmo (1:32.0+fixes20220320.git5432d11672-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Build with libdav1d6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Mar 2022 08:02:39 +0100

mythtv-dmo (1:32.0+fixes20220312.gitae60e8302f-dmo2) unstable; urgency=medium

  * Build with libdav1d6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 19 Mar 2022 13:39:23 +0100

mythtv-dmo (1:32.0+fixes20220312.gitae60e8302f-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Remove 06_QtEndian.patch, 05_atomic.diff and 07_ffmpeg-4.4-arm.patch
    patches, fixed upstream.
  * /usr/share/mythtv/metadata/Television/ttvdb4.py must be executable
    (Thanks to Korbinian Rosenegger for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 12 Mar 2022 10:39:09 +0100

mythtv-dmo (1:32.0-dmo2) unstable; urgency=medium

  * Enable vulkan
  * New patch to fix atomic detection in included ffmpeg.
  * Apply upstream patch to revert "NuppelVideoRecorder.cpp: convert to
    QtEndian"

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 24 Feb 2022 14:26:21 +0100

mythtv-dmo (1:32.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Feb 2022 16:20:04 +0100

mythtv-dmo (1:31.0+fixes20220121.git4f7953f6ee-dmo2) unstable; urgency=medium

  * Rebuild, armhf packages was build against raspbian packages.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Jan 2022 10:56:12 +0100

mythtv-dmo (1:31.0+fixes20220121.git4f7953f6ee-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Jan 2022 20:41:11 +0100

mythtv-dmo (1:31.0+fixes20220120.git23738a7074-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Jan 2022 14:26:38 +0100

mythtv-dmo (1:31.0+fixes20211113.git25f1bb1d12-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Nov 2021 08:24:28 +0100

mythtv-dmo (1:31.0+fixes20210801.git5824c588db-dmo2) unstable; urgency=medium

  * python3-mythtv :
      Should depends on python3-dateutil (required by tvmaze).
      Remove duplicate python3-future in Depends
      Remove python3-requests already provided by python3-requests-cache
  * Build with libvpx7.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Oct 2021 13:49:58 +0200

=== debian/control ===
Source: mythtv-dmo
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.mythtv.org/
Standards-Version: 4.6.0
Build-Conflicts: libmyth-dev, liboss4-salsa-dev, libroar-dev, libsndio-dev, amf-codec-headers
Build-Depends: debhelper-compat (= 13), dh-python, dh-linktree, dh-sequence-python3, libxext-dev,
 libvorbis-dev, libdbi-perl, default-libmysqlclient-dev, libfreetype6-dev | libfreetype-dev,
 libjack-jackd2-dev, qtscript5-dev, libavc1394-dev [linux-any], libfaad-dev,
 liblircclient-dev, libsamplerate0-dev, libasound2-dev [linux-any], libdca-dev,
 libxinerama-dev, quilt, libtag1-dev, libiec61883-dev (>= 1.0.0) [linux-any],
 libxxf86vm-dev, po-debconf, libxvmc-dev, libdvdnav-dev, libssl-dev, texinfo,
 nasm [any-amd64 any-i386], libxrandr-dev, libfftw3-dev, libdbd-mysql-perl,
 libfribidi-dev, libxml2-dev, libgl-dev, liba52-0.7.4-dev, libxvidcore-dev,
 libpulse-dev, libtool-bin,  libvdpau-dev, qtbase5-dev, libsctp-dev, libdrm-dev,
 libcec-dev, uuid-dev, libva-dev [any-amd64 any-i386], libudev-dev,
 liblzma-dev, libqt5webkit5-dev, libffmpeg-nvenc-dev [amd64 i386], libegl-dev,
 libx264-dev, libvpx-dev (>= 1.11.0~), libass-dev (>= 0.10.2),
 libavahi-compat-libdnssd-dev, libhttp-message-perl, libio-socket-inet6-perl,
 libhdhomerun-dev (>= 20170815-2~), libsystemd-dev, librtmp-dev, libbz2-dev,
 libgnutls28-dev | gnutls-dev, libqt5opengl5-dev, libbluray-dev, libwww-perl,
 libnet-upnp-perl, libx265-dev, libmp3lame-dev, libxnvctrl-dev, liblzo2-dev,
 libxml-simple-perl, python3-simplejson, python3-future, libdav1d-dev,
 libaom-dev [amd64], python3-mysqldb, python3-lxml, python3-requests,
 libxcb-shm0-dev, libsoundtouch-dev (>= 1.8.0~), libzip-dev, python3-setuptools,
 glslang-dev,
 dh-linktree,
 fonts-freefont-ttf, fonts-tlwg-purisa-ttf, fonts-texgyre, fonts-tiresias,
 libjs-jquery-ui

# 0.28 is included since mythtv 32
#libexiv2-dev,

Package: mythtv
Architecture: all
Pre-Depends: default-mysql-server | virtual-mysql-server
Depends: mythtv-database (>= ${source:Version}), mythtv-frontend (>= ${source:Version}), mythtv-backend (>= ${source:Version}), ${misc:Depends}
Recommends: mythtv-doc
Description: Personal video recorder application (client and server)
 MythTV implements the following PVR features, and more, with a
 unified graphical interface:
 .
  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
  - Video compression using RTjpeg or MPEG-4
  - Program listing retrieval using XMLTV
  - Themable, semi-transparent on-screen display
  - Electronic program guide
  - Scheduled recording of TV programs
  - Resolution of conflicts between scheduled recordings
  - Basic video editing
 .
 This package will install a complete MythTV client/server environment on a
 single system, including a MySQL server.
 .
 The powerpc packages were compiled with altivec and sparc packages with
 ultra-sparc support.

Package: mythtv-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, python3:any, libxml-xpath-perl, default-mysql-client | virtual-mysql-client, adduser
Recommends: mythtv-doc (>= ${source:Version}), python3-selinux
Conflicts: mythlogserver
Description: Personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains infrastructure needed by both the client and the
 server.

Package: mythtv-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Personal video recorder application (documentation)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains documentation, including the MythTV HOWTO.

Package: mythtv-database
Architecture: all
Multi-Arch: foreign
Depends: mythtv-common (>= ${source:Version}), ${misc:Depends}, dbconfig-mysql | dbconfig-no-thanks, libdbd-mysql-perl, default-mysql-client | virtual-mysql-client, cron | cron-daemon
Recommends: default-mysql-server | virtual-mysql-server
Description: Personal video recorder application (database)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 The powerpc packages were compiled with altivec and sparc packages with
 ultra-sparc support.
 .
 This package sets up a MySQL database for use MythTV. It should be
 installed on the system where the MySQL server resides.

Package: mythtv-backend
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, cron | cron-daemon, wget, lsb-base, mythtv-transcode, python3:any, python3-pycurl, python3-mythtv
Replaces: mythtv-common (<= 0.27.0-dmo2)
Recommends: mythtv-database, logrotate, xmltv-util
Suggests: mythtv-frontend, mythweb
Description: Personal video recorder application (server)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the server software, which provides video and
 audio capture and encoding services. In order to be useful, it requires a
 mythtv-frontend installation, either on the same system or one reachable
 via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 The powerpc packages were compiled with altivec and sparc packages with
 ultra-sparc support.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: mythtv-frontend
Architecture: any
Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, python3-mythtv
Suggests: mythtv-backend, mythmusic, mythweather, mythgallery, mythgame, ffmpeg
Description: Personal video recorder application (client)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the client software, which provides a front-end
 for playback and configuration. It requires access to a mythtv-backend
 installation, either on the same system or one reachable via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 The powerpc packages were compiled with altivec and sparc packages with
 ultra-sparc support.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: libmyth-32
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-mysql, procps, iputils-ping
Recommends: udisks2, ${shlibs:Recommends}
Breaks: libmyth-0.27-0, libmyth-0.28-0, libmyth-30, libmyth-31
Description: Common library code for MythTV and add-on modules (runtime)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 The powerpc packages were compiled with altivec and sparc packages with
 ultra-sparc support.
 .
 This package contains a shared library, libmyth, which is used by various
 components in the system.

Package: libmyth-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libmyth-32 (= ${binary:Version}), ${misc:Depends}
Description: Common library code for MythTV and add-on modules (development)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for developing applications which use
 libmyth (such as the various add-ons for MythTV)

Package: libmythtv-perl
Architecture: all
Section: perl
Depends: ${perl:Depends}, ${misc:Depends}, libdbi-perl, libdbd-mysql-perl, libwww-perl, libnet-upnp-perl, libio-socket-inet6-perl, libhttp-message-perl
Description: Personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains Perl bindings to access mythtv datas.

Package: python3-mythtv
Architecture: all
Section: python
Conflicts: python-mythtv
Replaces: python-mythtv
Provides: ${python3:Provides}
Depends: ${python3:Depends}, ${misc:Depends}, python3-mysqldb, python3-lxml, python3-future, python3-requests-cache, python3-simplejson, python3-dateutil
Recommends: python3-aniso8601
Description: Personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for some python MythTV add-ons.

Package: php-mythtv
Architecture: all
Section: php
Depends: ${misc:Depends}, libapache2-mod-php | php
Description: PHP Bindings for MythTV
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for using PHP based applications that
 connect to MythTV backends.

Package: mythffmpeg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: utils
Description: Special ffmpeg version for nuvexport
 Special ffmpeg version for nuvexport. This binary is linked against the
 libmythav* libraries and not libraries in libavc* packages.

Package: libmythavcodec58
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libavcodec package for MythTV
 This package is only used by MythTV packages.

Package: libmythavdevice58
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libavdevice package for MythTV
 This package is only used by MythTV packages.

Package: libmythavfilter7
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libavfilter package for MythTV
 This package is only used by MythTV packages.

Package: libmythavformat58
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libavformat package for MythTV
 This package is only used by MythTV packages.

Package: libmythavutil56
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libavutil package for MythTV
 This package is only used by MythTV packages.

Package: libmythpostproc55
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libpostproc package for MythTV
 This package is only used by MythTV packages.

Package: libmythswscale5
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libswscale package for MythTV
 This package is only used by MythTV packages.

Package: libmythswresample3
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: swresample package for MythTV
 This package is only used by MythTV packages.

Package: libmythexiv2-0.28-32
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: exiv2 package for MythTV
 This package is only used by MythTV packages.

Package: mythtv-transcode
Architecture: any
Depends: mythtv-common, ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

ifeq (nostrip,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	DEBUG_BUILD=1
endif

ifeq (noopt,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	DEBUG_BUILD=1
endif
ifdef DEBUG_BUILD
	CONFIGURE_OPTS += --compile-type=debug
endif

ifeq (ccache,$(findstring ccache,$(PATH)))
	CONFIGURE_OPTS += --cc=/usr/lib/ccache/cc --cxx=/usr/lib/ccache/c++
endif

ifeq "$(DEB_BUILD_ARCH)" "i386"
	CONFIGURE_OPTS += --enable-vaapi
else
ifeq "$(DEB_BUILD_ARCH)" "amd64"
	CONFIGURE_OPTS += --enable-vaapi
else
ifeq "$(DEB_BUILD_ARCH)" "powerpc"
        CONFIGURE_OPTS += --disable-altivec
else
ifeq "$(DEB_BUILD_ARCH)" "arm64"
        EXTRAS_CXXFLAGS += -fPIC
else
ifeq "$(DEB_BUILD_ARCH)" "armhf"
        CONFIGURE_OPTS += --disable-mmal
else
ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel mips64el))
	CONFIGURE_OPTS += --disable-loongson2 --disable-loongson3 \
	--disable-mips32r2 --disable-mips32r5 --disable-mips32r6 \
	--disable-mips64r6 --disable-mipsdsp --disable-mipsdspr2 \
	--disable-mipsfpu --disable-mmi --disable-msa
endif
endif
endif
endif
endif
endif

# grep MYTH_BINARY_VERSION libs/libmythbase/mythversion.h
# 32.20200101-1 as 32.0

MYTH_BINARY_VERSION = $(shell grep MYTH_BINARY_VERSION libs/libmythbase/mythversion.h | cut -d'"' -f2)

ifneq "$(MYTH_BINARY_VERSION)" "32.20200101-1"
	exit 1
endif

#LIB_PKGS = $(shell sed -nr 's/^Package:[[:space:]]*(lib(myth-|mythavcodec|mythavdevice|mythavfilter|mythavformat|mythavutil|mythpostproc|mythswresample|mythswscale|mythqjson|mythzmq)[0-9]+)[[:space:]]*$$/\1/p' debian/control)

%:
	dh $@ --with quilt,linktree

override_dh_auto_configure:
	./configure --compile-type=release --prefix=/usr --runprefix=/usr \
	--enable-libx264 --enable-libmp3lame --enable-libxvid --enable-libx265 \
	--enable-libvpx --enable-nonfree --enable-pic --enable-hdhomerun \
	--arch=$(DEB_HOST_GNU_CPU) --disable-ffprobe --disable-ffserver \
	--enable-libglslang --enable-vulkan \
	--libdir-name=lib/$(DEB_HOST_MULTIARCH) $(CONFIGURE_OPTS)

##	--enable-libmpeg2external \

ifeq "$(DEB_BUILD_ARCH)" "armhf"
	perl -i -pe 's,CONFIG_THUMB 0,CONFIG_THUMB 1,' config.h
endif

ifeq "$(DEB_BUILD_ARCH)" "armel"
	perl -i -pe 's,-DHAVE_CONFIG_H,-DHAVE_CONFIG_H -DHAVE_PTHREAD_H,' external/libudfread/Makefile
endif

#	exit 1

override_dh_auto_install:
	$(MAKE) install PREFIX=usr INSTALL_ROOT=$(CURDIR)/debian/tmp/

	-rm debian/tmp/usr/local/lib/*/perl/*/auto/MythTV/.packlist
	rm debian/tmp/usr/share/mythtv/themes/Terra/watermarks/README.license
# Not needed
	rm debian/tmp/usr/bin/mythwikiscripts

	find debian/tmp/usr/share -type f -exec chmod 0644 {} \;

# Keep executable
	chmod +x debian/tmp/usr/share/mythtv/*.pl
	chmod +x debian/tmp/usr/share/mythtv/metadata/Television/ttvdb*.py
	chmod +x debian/tmp/usr/share/mythtv/metadata/Movie/tmdb*.py
	chmod +x debian/tmp/usr/share/mythtv/internetcontent/*.py
	chmod +x debian/tmp/usr/share/mythtv/internetcontent/*.pl
	chmod +x debian/tmp/usr/share/mythtv/metadata/Television/tmdb3tv.py
	chmod +x debian/tmp/usr/share/mythtv/metadata/Television/tvmaze.py
	chmod +x debian/tmp/usr/share/mythtv/hardwareprofile/sendProfile.py

override_dh_install:
	rm debian/tmp/usr/share/mythtv/fonts/*.txt

	dh_install -X.a -XCOPYING -XLICENSE -Xusr/share/mythtv/themes/MythCenter-wide/fonts

	dh_install -pmythtv-frontend debian/mythtv.desktop usr/share/applications
	dh_install -XCOPYING -XLICENSE -pmythtv-backend debian/mythtv-setup.desktop usr/share/applications

	rm -f debian/mythtv/usr/share/mythtv/setup.xml

override_dh_installdocs:
	dh_installdocs -XCOPYING README debian/README.Debian AUTHORS

override_dh_strip:
ifneq (nostrip,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -a
endif

override_dh_installexamples-indep:
	dh_installexamples -pmythtv-doc contrib/*

#override_dh_makeshlibs:
#	for pkg in $(LIB_PKGS); do \
#	  dh_makeshlibs -p$$pkg -V "$$pkg (>= $(SHLIBS_VERSION))"; \
#	done

override_dh_installinit:
	dh_installinit -u'defaults 40 16'

override_dh_compress-arch:
	dh_compress -X.py -X.pl

override_dh_fixperms-arch:
	dh_fixperms -X.py -X.pl

override_dh_clean:
	[ ! -f config.mak ] || $(MAKE) distclean

	dh_quilt_unpatch

	debconf-updatepo

	dh_clean debian/libmythtv-recommends-dummy.so external/FFmpeg/mythffmpeg \
	external/FFmpeg/mythffprobe config.fate config.log external/FFmpeg/doc/config.texi \
	external/FFmpeg/libavdevice/indev_list.c external/FFmpeg/libavdevice/outdev_list.c \
	external/FFmpeg/libavfilter/filter_list.c src .qmake.stash \
	bindings/python/MythTV.egg-info/*

	find -name moc -delete
	find -name obj -delete

override_dh_shlibdeps: debian/libmythtv-recommends-dummy.so
	dh_shlibdeps

	dpkg-shlibdeps -dRecommends -edebian/libmythtv-recommends-dummy.so -xlibc6 -O >> debian/libmyth-32.substvars

debian/libmythtv-recommends-dummy.so:
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
	-lcec \
	$(ARCH_SPECIFIC_LIB_RECOMMENDS)

override_dh_dwz override_dh_quilt_unpatch override_dh_auto_test override_dh_auto_clean:

## mythtv-dmo 32.0+fixes20221220.git44f88ed468

=== debian/changelog ===
mythtv-dmo (1:32.0+fixes20221220.git44f88ed468-dmo1~ab11+1) bullseye-ab-unstable; urgency=medium

  * [83d9d81] control: Remove versioned b-d on libx264 (epoch 3 not in
    Debian).
  * [d9ecea2] control: mythtv-python: Recommends: python-aniso8601 (Fixes
    warning in /usr/share/mythtv/internetcontent/youtube.py).
  * [d3cbe73] control: Remove versioned b-d on libcec (epoched version not
    in Debian).
  * [502278c] control: nv-codec-headers: ported deb (in Ubuntu) is called
    'libffmpeg-nvenc-dev'.
  * [a98f7d7] control (Build-Depends): Use libdca-dev, not libdts-dev
    (latter dropped since 0.0.7-1/bullseye).
  * [ba270d5] debian/control (Build-Depends): bullseye: Downgrade to
    qtbase-abi-5-15-2
  * MINI_BUILDD_OPTION: ignore-lintian=true
  * MINI_BUILDD_OPTION: auto-ports=

 -- Stephan Sürken <absurd@olurdix.de>  Wed, 21 Dec 2022 19:06:16 +0100

mythtv-dmo (1:32.0+fixes20221220.git44f88ed468-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Build with qtbase-abi-5-15-7

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 Dec 2022 19:18:48 +0100

mythtv-dmo (1:32.0+fixes20221128.git1544bc2977-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Nov 2022 07:43:35 +0100

mythtv-dmo (1:32.0+fixes20221126.git2af1c2064e-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 26 Nov 2022 09:23:37 +0100

mythtv-dmo (1:32.0+fixes20220917.gitb6ef30288f-dmo4) unstable; urgency=medium

  * Add README.Debian to all packages.
  * Build with qtbase-abi-5-15-6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Oct 2022 08:04:21 +0200

mythtv-dmo (1:32.0+fixes20220917.gitb6ef30288f-dmo3) unstable; urgency=medium

  * Really fix sysvinit-utils --> lsb-base

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Sep 2022 10:23:04 +0200

mythtv-dmo (1:32.0+fixes20220917.gitb6ef30288f-dmo2) unstable; urgency=medium

  * Don't Depends on sysvinit-utils but lsb-base

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Sep 2022 09:14:05 +0200

mythtv-dmo (1:32.0+fixes20220917.gitb6ef30288f-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Sep 2022 08:35:52 +0200

mythtv-dmo (1:32.0+fixes20220814.gite5c974e402-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Aug 2022 10:06:36 +0200

mythtv-dmo (1:32.0+fixes20220730.gitc9e66de14b-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 30 Jul 2022 07:07:32 +0200

mythtv-dmo (1:32.0+fixes20220717.git365406638a-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Don't use system font. This overload fontconfig and make fonts selector
    very slow to open with hundreds of fonts.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Jul 2022 15:15:11 +0200

mythtv-dmo (1:32.0+fixes20220626.git66ba83839a-dmo0) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 26 Jun 2022 11:03:22 +0200

mythtv-dmo (1:32.0+fixes20220615.git7077a824d2-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Build with qtbase-abi-5-15-4

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Jun 2022 07:22:18 +0200

mythtv-dmo (1:32.0+fixes20220528.git98c82d515d-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 28 May 2022 07:58:15 +0200

mythtv-dmo (1:32.0+fixes20220514.git26079f815a-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Build with libssl3

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 May 2022 10:00:29 +0200

mythtv-dmo (1:32.0+fixes20220431.gitd80a8da3f0-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 30 Apr 2022 10:51:27 +0200

mythtv-dmo (1:32.0+fixes20220430.gitea669e1f82-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 30 Apr 2022 08:49:03 +0200

mythtv-dmo (1:32.0+fixes20220410.git9070e9e65b-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Apr 2022 14:05:48 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.mythtv.org/
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Conflicts: libmyth-dev, liboss4-salsa-dev, libroar-dev, libsndio-dev, amf-codec-headers
-Build-Depends: debhelper-compat (= 13), dh-python, dh-linktree, dh-sequence-python3, libxext-dev,
- libvorbis-dev, libdbi-perl, default-libmysqlclient-dev, libfreetype6-dev | libfreetype-dev,
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libxext-dev,
+ libvorbis-dev, libdbi-perl, default-libmysqlclient-dev, libfreetype-dev,
  libjack-jackd2-dev, qtscript5-dev, libavc1394-dev [linux-any], libfaad-dev,
  liblircclient-dev, libsamplerate0-dev, libasound2-dev [linux-any], libdca-dev,
  libxinerama-dev, quilt, libtag1-dev, libiec61883-dev (>= 1.0.0) [linux-any],
@@ -16,7 +16,7 @@
  libfribidi-dev, libxml2-dev, libgl-dev, liba52-0.7.4-dev, libxvidcore-dev,
  libpulse-dev, libtool-bin,  libvdpau-dev, qtbase5-dev, libsctp-dev, libdrm-dev,
  libcec-dev, uuid-dev, libva-dev [any-amd64 any-i386], libudev-dev,
- liblzma-dev, libqt5webkit5-dev, libffmpeg-nvenc-dev [amd64 i386], libegl-dev,
+ liblzma-dev, libqt5webkit5-dev, libffmpeg-nvenc-dev [amd64 i386 arm64], libegl-dev,
  libx264-dev, libvpx-dev (>= 1.11.0~), libass-dev (>= 0.10.2),
  libavahi-compat-libdnssd-dev, libhttp-message-perl, libio-socket-inet6-perl,
  libhdhomerun-dev (>= 20170815-2~), libsystemd-dev, librtmp-dev, libbz2-dev,
@@ -25,9 +25,8 @@
  libxml-simple-perl, python3-simplejson, python3-future, libdav1d-dev,
  libaom-dev [amd64], python3-mysqldb, python3-lxml, python3-requests,
  libxcb-shm0-dev, libsoundtouch-dev (>= 1.8.0~), libzip-dev, python3-setuptools,
- glslang-dev,
+ glslang-dev, qtbase-abi-5-15-2,
  dh-linktree,
- fonts-freefont-ttf, fonts-tlwg-purisa-ttf, fonts-texgyre, fonts-tiresias,
  libjs-jquery-ui
 
 # 0.28 is included since mythtv 32
@@ -298,3 +297,5 @@
 Package: mythtv-transcode
 Architecture: any
 Depends: mythtv-common, ${shlibs:Depends}, ${misc:Depends}
+Suggests: mythtv-backend, mytharchive
+Description: Utilities used for transcoding MythTV tasks

## mythtv-dmo 32.0+fixes20230124.gitf2ce7e33aa

=== debian/changelog ===
mythtv-dmo (1:32.0+fixes20230124.gitf2ce7e33aa-dmo1~ab11+2) bullseye-ab-unstable; urgency=medium

  * [d03f9c2] control: Remove versioned b-d on libx264 (epoch 3 not in
    Debian).
  * [ed26ad7] control: mythtv-python: Recommends: python-aniso8601 (Fixes
    warning in /usr/share/mythtv/internetcontent/youtube.py).
  * [6fae29a] control: Remove versioned b-d on libcec (epoched version not
    in Debian).
  * [1feddc5] control: nv-codec-headers: ported deb (in Ubuntu) is called
    'libffmpeg-nvenc-dev'.
  * [1abbf4e] control (Build-Depends): Use libdca-dev, not libdts-dev
    (latter dropped since 0.0.7-1/bullseye).
  * [3dc2a35] debian/control (Build-Depends): bullseye: Downgrade to
    qtbase-abi-5-15-2
  * [14e14b8] debian/control (Depends): bullseye: Don't depend on
    sysvinit-utils >= 3.05 (not in bullseye)
  * MINI_BUILDD_OPTION: ignore-lintian=true
  * MINI_BUILDD_OPTION: auto-ports=

 -- Stephan Sürken <absurd@olurdix.de>  Tue, 31 Jan 2023 10:00:22 +0100

mythtv-dmo (1:32.0+fixes20230124.gitf2ce7e33aa-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Jan 2023 10:14:05 +0100

mythtv-dmo (1:32.0+fixes20230122.git35f323c8e6-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Jan 2023 10:18:12 +0100

mythtv-dmo (1:32.0+fixes20230107.gite677dd354f-dmo2) unstable; urgency=medium

  * Build with qtbase-abi-5-15-8
  * Add waylandpp-dev and qtbase5-private-dev to Build-Depends
  * Add aom support for all arches not only amd64

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 Jan 2023 11:02:23 +0100

mythtv-dmo (1:32.0+fixes20230107.gite677dd354f-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Jan 2023 09:05:10 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.mythtv.org/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Conflicts: libmyth-dev, liboss4-salsa-dev, libroar-dev, libsndio-dev, amf-codec-headers
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libxext-dev,
  libvorbis-dev, libdbi-perl, default-libmysqlclient-dev, libfreetype-dev,
@@ -23,9 +23,9 @@
  libgnutls28-dev | gnutls-dev, libqt5opengl5-dev, libbluray-dev, libwww-perl,
  libnet-upnp-perl, libx265-dev, libmp3lame-dev, libxnvctrl-dev, liblzo2-dev,
  libxml-simple-perl, python3-simplejson, python3-future, libdav1d-dev,
- libaom-dev [amd64], python3-mysqldb, python3-lxml, python3-requests,
+ libaom-dev, python3-mysqldb, python3-lxml, python3-requests,
  libxcb-shm0-dev, libsoundtouch-dev (>= 1.8.0~), libzip-dev, python3-setuptools,
- glslang-dev, qtbase-abi-5-15-2,
+ glslang-dev, qtbase-abi-5-15-2, waylandpp-dev, qtbase5-private-dev,
  dh-linktree,
  libjs-jquery-ui
 
@@ -97,7 +97,7 @@
 Package: mythtv-backend
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, cron | cron-daemon, wget, lsb-base, mythtv-transcode, python3:any, python3-pycurl, python3-mythtv
+Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, cron | cron-daemon, wget, sysvinit-utils, mythtv-transcode, python3:any, python3-pycurl, python3-mythtv
 Replaces: mythtv-common (<= 0.27.0-dmo2)
 Recommends: mythtv-database, logrotate, xmltv-util
 Suggests: mythtv-frontend, mythweb
@@ -298,4 +298,3 @@
 Architecture: any
 Depends: mythtv-common, ${shlibs:Depends}, ${misc:Depends}
 Suggests: mythtv-backend, mytharchive
-Description: Utilities used for transcoding MythTV tasks

=== debian/rules ===
--- 
+++ 
@@ -83,6 +83,7 @@
 	rm debian/tmp/usr/share/mythtv/themes/Terra/watermarks/README.license
 # Not needed
 	rm debian/tmp/usr/bin/mythwikiscripts
+	find debian/tmp -name .npmignore -delete
 
 	find debian/tmp/usr/share -type f -exec chmod 0644 {} \;
 
@@ -107,7 +108,7 @@
 	rm -f debian/mythtv/usr/share/mythtv/setup.xml
 
 override_dh_installdocs:
-	dh_installdocs -XCOPYING README debian/README.Debian AUTHORS
+	dh_installdocs -XCOPYING -A README debian/README.Debian AUTHORS
 
 override_dh_strip:
 ifneq (nostrip,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))

## mythtv-dmo 33.1+fixes20240210.git512d723c83

=== external/FFmpeg/fftools/Makefile ===
AVPROGS-$(CONFIG_FFMPEG)   += ffmpeg
AVPROGS-$(CONFIG_FFPLAY)   += ffplay
AVPROGS-$(CONFIG_FFPROBE)  += ffprobe

AVPROGS     := $(AVPROGS-yes:%=%$(PROGSSUF)$(EXESUF))
PROGS       += $(AVPROGS)
MYTHPROGS   = $(addprefix myth, ${PROGS})
MYTHFFLIBS  = -lmythavfilter -lmythavformat -lmythavcodec \
-lmythpostproc -lmythswresample -lmythswscale

AVBASENAMES  = ffmpeg ffplay ffprobe
ALLAVPROGS   = $(AVBASENAMES:%=%$(PROGSSUF)$(EXESUF))
ALLAVPROGS_G = $(AVBASENAMES:%=%$(PROGSSUF)_g$(EXESUF))

OBJS-ffmpeg +=                  \
    fftools/ffmpeg_filter.o     \
    fftools/ffmpeg_hw.o         \
    fftools/ffmpeg_mux.o        \
    fftools/ffmpeg_opt.o        \

define DOFFTOOL
OBJS-$(1) += fftools/cmdutils.o fftools/opt_common.o fftools/$(1).o $(OBJS-$(1)-yes)
$(1)$(PROGSSUF)_g$(EXESUF): $$(OBJS-$(1))
$$(OBJS-$(1)): | fftools
$$(OBJS-$(1)): CFLAGS  += $(CFLAGS-$(1))
$(1)$(PROGSSUF)_g$(EXESUF): LDFLAGS += $(LDFLAGS-$(1))
$(1)$(PROGSSUF)_g$(EXESUF): FF_EXTRALIBS += $(EXTRALIBS-$(1))
-include $$(OBJS-$(1):.o=.d)
endef

$(foreach P,$(AVPROGS-yes),$(eval $(call DOFFTOOL,$(P))))

all: $(AVPROGS)

fftools/ffprobe.o fftools/cmdutils.o: libavutil/ffversion.h | fftools
OUTDIRS += fftools

# ${MYTHPROGS}:
mythffmpeg:	ffmpeg_g
	cp ffmpeg_g mythffmpeg

mythffprobe: ffprobe_g
	cp ffprobe_g mythffprobe

mythffplay: ffplay_g
	cp ffplay_g mythffplay

ifdef AVPROGS
install: install-mythprogs

endif

install-progs-yes:
install-progs-$(CONFIG_SHARED): install-libs

install-progs: install-progs-yes $(AVPROGS)
	$(Q)mkdir -p "$(BINDIR)"
	$(INSTALL) -c -m 755 $(AVPROGS) "$(BINDIR)"

install-mythprogs: install-progs-yes $(MYTHPROGS)
	$(Q)mkdir -p "$(BINDIR)"
	$(INSTALL) -c -m 755 $(MYTHPROGS) "$(BINDIR)"

uninstall: uninstall-progs

uninstall-progs:
	$(RM) $(addprefix "$(BINDIR)/", $(ALLAVPROGS))

clean::
	$(RM) $(ALLAVPROGS) $(ALLAVPROGS_G) $(CLEANSUFFIXES:%=fftools/%)

=== debian/changelog ===
mythtv-dmo (1:33.1+fixes20240210.git512d723c83-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 10 Feb 2024 11:02:42 +0100

mythtv-dmo (1:33.1+fixes20240104.git6b442547f2-dmo0+deb12u1) stable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Jan 2024 14:44:37 +0100

mythtv-dmo (1:33.1+fixes20231004.git26e76a3949-dmo0+deb12u1) stable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Oct 2023 11:19:32 +0200

mythtv-dmo (1:33.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 Feb 2023 02:02:57 +0100

=== debian/control ===
--- 
+++ 
@@ -4,28 +4,30 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.mythtv.org/
+Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Build-Conflicts: libmyth-dev, liboss4-salsa-dev, libroar-dev, libsndio-dev, amf-codec-headers
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libxext-dev,
  libvorbis-dev, libdbi-perl, default-libmysqlclient-dev, libfreetype-dev,
  libjack-jackd2-dev, qtscript5-dev, libavc1394-dev [linux-any], libfaad-dev,
- liblircclient-dev, libsamplerate0-dev, libasound2-dev [linux-any], libdca-dev,
+ liblircclient-dev, libsamplerate0-dev, libasound2-dev [linux-any], libdts-dev,
  libxinerama-dev, quilt, libtag1-dev, libiec61883-dev (>= 1.0.0) [linux-any],
  libxxf86vm-dev, po-debconf, libxvmc-dev, libdvdnav-dev, libssl-dev, texinfo,
  nasm [any-amd64 any-i386], libxrandr-dev, libfftw3-dev, libdbd-mysql-perl,
  libfribidi-dev, libxml2-dev, libgl-dev, liba52-0.7.4-dev, libxvidcore-dev,
  libpulse-dev, libtool-bin,  libvdpau-dev, qtbase5-dev, libsctp-dev, libdrm-dev,
- libcec-dev, uuid-dev, libva-dev [any-amd64 any-i386], libudev-dev,
- liblzma-dev, libqt5webkit5-dev, libffmpeg-nvenc-dev [amd64 i386 arm64], libegl-dev,
- libx264-dev, libvpx-dev (>= 1.11.0~), libass-dev (>= 0.10.2),
+ libcec-dev (>= 2:6~), uuid-dev, libva-dev [any-amd64 any-i386], libudev-dev,
+ liblzma-dev, libqt5webkit5-dev, nv-codec-headers [amd64 i386 arm64], libegl-dev,
+ libx264-dev (>= 3:0.159~), libvpx-dev (>= 1.11.0~), libass-dev (>= 0.10.2),
  libavahi-compat-libdnssd-dev, libhttp-message-perl, libio-socket-inet6-perl,
  libhdhomerun-dev (>= 20170815-2~), libsystemd-dev, librtmp-dev, libbz2-dev,
  libgnutls28-dev | gnutls-dev, libqt5opengl5-dev, libbluray-dev, libwww-perl,
  libnet-upnp-perl, libx265-dev, libmp3lame-dev, libxnvctrl-dev, liblzo2-dev,
  libxml-simple-perl, python3-simplejson, python3-future, libdav1d-dev,
- libaom-dev, python3-mysqldb, python3-lxml, python3-requests,
+ libaom-dev, python3-mysqldb, python3-lxml, python3-requests, libxml2-utils,
  libxcb-shm0-dev, libsoundtouch-dev (>= 1.8.0~), libzip-dev, python3-setuptools,
- glslang-dev, qtbase-abi-5-15-2, waylandpp-dev, qtbase5-private-dev,
+ glslang-dev, qtbase-abi-5-15-8, waylandpp-dev, qtbase5-private-dev,
+ clang [amd64 arm64], libxcb-xfixes0-dev, libxcb-shm0-dev, libxcb-shape0-dev,
  dh-linktree,
  libjs-jquery-ui
 
@@ -97,7 +99,7 @@
 Package: mythtv-backend
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, cron | cron-daemon, wget, sysvinit-utils, mythtv-transcode, python3:any, python3-pycurl, python3-mythtv
+Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, cron | cron-daemon, wget, sysvinit-utils (>= 3.05-4~), mythtv-transcode, python3:any, python3-pycurl, python3-mythtv
 Replaces: mythtv-common (<= 0.27.0-dmo2)
 Recommends: mythtv-database, logrotate, xmltv-util
 Suggests: mythtv-frontend, mythweb
@@ -140,14 +142,14 @@
  For a complete installation of all MythTV components, install the 'mythtv'
  package.
 
-Package: libmyth-32
+Package: libmyth-33
 Architecture: any
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-mysql, procps, iputils-ping
 Recommends: udisks2, ${shlibs:Recommends}
-Breaks: libmyth-0.27-0, libmyth-0.28-0, libmyth-30, libmyth-31
+Breaks: libmyth-0.27-0, libmyth-0.28-0, libmyth-30, libmyth-31, libmyth-32
 Description: Common library code for MythTV and add-on modules (runtime)
  MythTV provides a unified graphical interface for recording and viewing
  television programs. Refer to the mythtv package for more information.
@@ -162,7 +164,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libmyth-32 (= ${binary:Version}), ${misc:Depends}
+Depends: libmyth-33 (= ${binary:Version}), ${misc:Depends}
 Description: Common library code for MythTV and add-on modules (development)
  MythTV provides a unified graphical interface for recording and viewing
  television programs. Refer to the mythtv package for more information.
@@ -187,7 +189,6 @@
 Replaces: python-mythtv
 Provides: ${python3:Provides}
 Depends: ${python3:Depends}, ${misc:Depends}, python3-mysqldb, python3-lxml, python3-future, python3-requests-cache, python3-simplejson, python3-dateutil
-Recommends: python3-aniso8601
 Description: Personal video recorder application (common data)
  MythTV provides a unified graphical interface for recording and viewing
  television programs. Refer to the mythtv package for more information.
@@ -213,7 +214,7 @@
  Special ffmpeg version for nuvexport. This binary is linked against the
  libmythav* libraries and not libraries in libavc* packages.
 
-Package: libmythavcodec58
+Package: libmythavcodec59
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -222,7 +223,7 @@
 Description: libavcodec package for MythTV
  This package is only used by MythTV packages.
 
-Package: libmythavdevice58
+Package: libmythavdevice59
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -231,7 +232,7 @@
 Description: libavdevice package for MythTV
  This package is only used by MythTV packages.
 
-Package: libmythavfilter7
+Package: libmythavfilter8
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -240,7 +241,7 @@
 Description: libavfilter package for MythTV
  This package is only used by MythTV packages.
 
-Package: libmythavformat58
+Package: libmythavformat59
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -249,7 +250,7 @@
 Description: libavformat package for MythTV
  This package is only used by MythTV packages.
 
-Package: libmythavutil56
+Package: libmythavutil57
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -258,7 +259,7 @@
 Description: libavutil package for MythTV
  This package is only used by MythTV packages.
 
-Package: libmythpostproc55
+Package: libmythpostproc56
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -267,7 +268,7 @@
 Description: libpostproc package for MythTV
  This package is only used by MythTV packages.
 
-Package: libmythswscale5
+Package: libmythswscale6
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -276,7 +277,7 @@
 Description: libswscale package for MythTV
  This package is only used by MythTV packages.
 
-Package: libmythswresample3
+Package: libmythswresample4
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -285,7 +286,7 @@
 Description: swresample package for MythTV
  This package is only used by MythTV packages.
 
-Package: libmythexiv2-0.28-32
+Package: libmythexiv2-0.28-33
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -295,6 +296,3 @@
  This package is only used by MythTV packages.
 
 Package: mythtv-transcode
-Architecture: any
-Depends: mythtv-common, ${shlibs:Depends}, ${misc:Depends}
-Suggests: mythtv-backend, mytharchive

=== debian/rules ===
--- 
+++ 
@@ -43,11 +43,11 @@
 endif
 
 # grep MYTH_BINARY_VERSION libs/libmythbase/mythversion.h
-# 32.20200101-1 as 32.0
+# 33.20220913-1 as 33.1
 
 MYTH_BINARY_VERSION = $(shell grep MYTH_BINARY_VERSION libs/libmythbase/mythversion.h | cut -d'"' -f2)
 
-ifneq "$(MYTH_BINARY_VERSION)" "32.20200101-1"
+ifneq "$(MYTH_BINARY_VERSION)" "33.20220913-1"
 	exit 1
 endif
 
@@ -60,7 +60,7 @@
 	./configure --compile-type=release --prefix=/usr --runprefix=/usr \
 	--enable-libx264 --enable-libmp3lame --enable-libxvid --enable-libx265 \
 	--enable-libvpx --enable-nonfree --enable-pic --enable-hdhomerun \
-	--arch=$(DEB_HOST_GNU_CPU) --disable-ffprobe --disable-ffserver \
+	--arch=$(DEB_HOST_GNU_CPU) --disable-ffprobe --enable-libdav1d \
 	--enable-libglslang --enable-vulkan \
 	--libdir-name=lib/$(DEB_HOST_MULTIARCH) $(CONFIGURE_OPTS)
 
@@ -142,8 +142,11 @@
 	dh_clean debian/libmythtv-recommends-dummy.so external/FFmpeg/mythffmpeg \
 	external/FFmpeg/mythffprobe config.fate config.log external/FFmpeg/doc/config.texi \
 	external/FFmpeg/libavdevice/indev_list.c external/FFmpeg/libavdevice/outdev_list.c \
-	external/FFmpeg/libavfilter/filter_list.c src .qmake.stash \
-	bindings/python/MythTV.egg-info/*
+	external/FFmpeg/libavfilter/filter_list.c src .qmake.stash bindings/python/MythTV.egg-info/* \
+	external/FFmpeg/ffbuild/bin2c_host.o external/FFmpeg/libavfilter/cuda/load_helper.o \
+	bindings/perl/Makefile.PL bindings/python/MythTV/services_api/mythversions.py \
+	bindings/python/MythTV/static.py bindings/python/setup.cfg external/FFmpeg/ffbuild/bin2c_host.d \
+	external/FFmpeg/libavfilter/cuda/load_helper.d settings2.pro
 
 	find -name moc -delete
 	find -name obj -delete
@@ -151,7 +154,7 @@
 override_dh_shlibdeps: debian/libmythtv-recommends-dummy.so
 	dh_shlibdeps
 
-	dpkg-shlibdeps -dRecommends -edebian/libmythtv-recommends-dummy.so -xlibc6 -O >> debian/libmyth-32.substvars
+	dpkg-shlibdeps -dRecommends -edebian/libmythtv-recommends-dummy.so -xlibc6 -O >> debian/libmyth-33.substvars
 
 debian/libmythtv-recommends-dummy.so:
 	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
